PDA

Afficher la version complète : [Réglé] bi-processeur ?



Spyhawk
29/12/2004, 19h03
salut,

je dispose d'une machine équipée d'un P4 hyperThreading, mais j'ai l'impression que cette fonctionalité n'est pas utilisée... comment vérifier ?

Pour info, je tourne sur un kernel smp, j'ai les packages pvm - paralelle virtual machine - installés.

galagann
29/12/2004, 19h10
Salux,

Tu peux me faire un "cat /proc/cpuinfo" dans une console.

Spyhawk
29/12/2004, 19h28
Arf, bien sûr, c'est d'ailleurs ça qui m'a mis la puce à l'oreille...


$ cat /proc/cpuinfo
processor : 0
vendor_id : GenuineIntel
cpu family : 15
model : 2
model name : Mobile Intel(R) Pentium(R) 4 CPU 3.06GHz
stepping : 9
cpu MHz : 3057.186
cache size : 512 KB
physical id : 0
siblings : 2
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 2
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe cid
bogomips : 6045.69

A moins que le "ht" dans les flags corresponde à l'hyperthreading... mais il ne devrait pas plutot afficher l'existence de 2 processeurs ?

Au fait, c'est un P4 Mobile, mais comme je n'ai pas encore configuré l'ACPI, c'est normal que la fréquence indiquée soit maximal.
PS: ACPI et smp, il y a avait des incompatibilités dans le passé... aujourd'hui ?

galagann
29/12/2004, 19h45
Tu as un gros problème mon coco, il ne t'affiche qu'un proco http://www.alionet.org/style_emoticons/<#EMO_DIR#>/biggrin.gif
Tu devrais avoir "processor : 0" et "processor : 1"

Quel version ton Kernel ? uname -r et tand qu'on y est fait un uname -ar http://www.alionet.org/style_emoticons/<#EMO_DIR#>/tongue.gif

Spyhawk
29/12/2004, 20h17
$ uname -ar
Linux linux 2.6.5-7.111-smp #4 SMP Tue Dec 28 23:47:41 CET 2004 i686 i686 i386 GNU/Linux

PS : J'ai recompilé le noyau par défaut, en adaptant l'architecture (PC Compatible), le type de processeur (Pentium 4 M), ai activité le kernel préemptif et désactivé le support x86 générique, plus 2 - 3 bricoles mineures...

galagann
29/12/2004, 20h34
Passe en Kernel 2.6.8, pour avoir l'HyperThreading http://www.alionet.org/style_emoticons/<#EMO_DIR#>/wink.gif

Spyhawk
29/12/2004, 20h38
Ok, alors j'attendrai de pouvoir passer sur SuSE 9.2 http://www.alionet.org/style_emoticons/<#EMO_DIR#>/wink.gif

galagann
29/12/2004, 22h19
Ok, tu l'as commandé ou tu attends la version FTP ?

Je fais quoi, je mets Réglé ou Non Réglé ?

Spyhawk
30/12/2004, 00h39
Mets "Réglé".

J'attends la FTP... Je n'ai ni besoin de manuel papier, ni de support... et ça devrait sortir mi janvier, donc..

Merci encore.

Desteros
30/12/2004, 09h41
AU passage dis nous si c'est super gerer en gros si ca roxxx http://www.alionet.org/style_emoticons/<#EMO_DIR#>/tongue.gif